Autor Tópico: NetBeans 6.8 + Qt  (Lida 4965 vezes)

Offline Yeeg

  • Usuário Ubuntu
  • *
  • Mensagens: 12
    • Ver perfil
NetBeans 6.8 + Qt
« Online: 12 de Maio de 2010, 13:45 »
Eu simplesmente nao consigo incluir o QT no NetBeans...tenho  Qt Creator,Qt4 Assintent,Desing e Linguist e no NetBeans nao consigo inicializar o as blibliotecas e comandos para C/C++ ...fala que o qmake nao esta instalado e nao consegue achar os arquivos de inclusao do Qt...
Como eu posso arrumar isso?

Offline fabio2paolini

  • Usuário Ubuntu
  • *
  • Mensagens: 125
    • Ver perfil
Re: NetBeans 6.8 + Qt
« Resposta #1 Online: 13 de Maio de 2010, 19:33 »
O qmake está instalado?
Eu tive um problema similar. No meu caso eu tinha o qt4 mas o qmake era um link para o qmake-qt3 e eu obinha erro ao tentar compilar códigos para o qt4.
No meu caso foi só acertar  o link.

Offline Yeeg

  • Usuário Ubuntu
  • *
  • Mensagens: 12
    • Ver perfil
Re: NetBeans 6.8 + Qt
« Resposta #2 Online: 20 de Maio de 2010, 15:24 »
ai...nao sei...como eu instalo?

Offline pigdin

  • Usuário Ubuntu
  • *
  • Mensagens: 723
  • Terra - Brasill - SP-Capital
    • Ver perfil
Re: NetBeans 6.8 + Qt
« Resposta #3 Online: 20 de Maio de 2010, 22:36 »
netbeans usa PATH definido em / ambiente / etc ao invés do in. bashrc

 adicionar o caminho para qmake (como em Qtmake) to /etc/environment, otherwise netbeans was giving me an "/bin/sh: fazer) para / ambiente / etc, caso contrário netbeans estava me dando um "/ bin / sh:
qmake: not found" error. I don't like the idea of polluting the system wide qmake: não encontrado "erro.

http://translate.google.com.br/translate?hl=pt-BR&sl=en&u=http://forums.netbeans.org/ntopic1485.html&ei=T-H1S9jhB8OclgeRtMnbCg&sa=X&oi=translate&ct=result&resnum=2&ved=0CCIQ7gEwAQ&prev=/search%3Fq%3Dubuntu%2BQT%2Bno%2BNetBeans%2Bqmake%26hl%3Dpt-BR%26sa%3DG


Espero que ajude
Desk: Phenom X3 2GB DDR II - Win 7 / Ubuntu 10.04 64 Bits
Note MUB: Core2Duo 4GB - Win7 / Ubuntu 10.04 / Bodhi Linux.
@alexpigdin

Offline fabio2paolini

  • Usuário Ubuntu
  • *
  • Mensagens: 125
    • Ver perfil
Re: NetBeans 6.8 + Qt
« Resposta #4 Online: 22 de Maio de 2010, 11:33 »
Citar
ai...nao sei...como eu instalo?
Caso você tenha dúvidas de como instalar o qmake segue uma explicação:
Primeiro use o comando
Código: [Selecionar]
apt-cache search qmakepara visualizar os pacotes disponíveis no seu repositório (apenas para encontrar o nome exato do pacote) e depois instale com o comando
Código: [Selecionar]
apt-get install <pacote do qmake> No meu caso, por exemplo seria:
Código: [Selecionar]
apt-cache search qmake
qt4-qmake - Qt 4 qmake Makefile generator tool
qt3-assistant - The Qt3 assistant application
qt3-designer - Qt3 Designer
qt3-dev-tools - Qt3 development tools
veja que tem um pacote chamado qt4-qmake que parece o mais apropriado, logo agora eu instalo como root
Código: [Selecionar]
su
Senha:
root@debian:/home/fabio/# apt-get install qt4-qmake
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
qt4-qmake já é a versão mais nova.
qt4-qmake configurado para instalar manualmente.
0 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 150 não atualizados.
Como no meu caso o pacote já estava instalado então nada mudou.

Offline daskrs

  • Usuário Ubuntu
  • *
  • Mensagens: 84
    • Ver perfil
Re: NetBeans 6.8 + Qt
« Resposta #5 Online: 24 de Maio de 2010, 23:22 »
Eu simplesmente nao consigo incluir o QT no NetBeans...tenho  Qt Creator,Qt4 Assintent,Desing e Linguist e no NetBeans nao consigo inicializar o as blibliotecas e comandos para C/C++ ...fala que o qmake nao esta instalado e nao consegue achar os arquivos de inclusao do Qt...
Como eu posso arrumar isso?

Acho que você esqueceu de instalar a biblioteca de desenvolvimento.
Tenta instalar o libqt4-dev
Se você esta aprendendo instala também o libqt4-help vai te ajudar muito.
para instalar isso é só digitar o comando
sudo aptitude install libqt4-dev libqt4-help

haa sim, tenta sempre utilizar o aptitude ( se preferir utilizar o terminal ) ou o synaptic, o aptitude é mais inteligente que o apt-get e previne alguns erros.